%define upstream_name Module-CPANTS
%define upstream_version 0.20030725

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %{upstream_version}
Release:        %mkrel 16
Summary:        CPAN module testing
License:        GPL or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.bz2
BuildArch:      noarch
Requires:       perl(Module::Pluggable) >= 2.096

%description
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# currently broken
#%%make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Module
%{perl_vendorlib}/auto/Module
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20030725-16.mga10
+ Revision: 2199738
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20030725-15.mga9
+ Revision: 1804563
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20030725-14.mga8
+ Revision: 1495615
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.20030725-13.mga7
+ Revision: 1269273
- Mageia 7 Mass Rebuild

* Sat May 14 2016 tv <tv> 0.20030725-12.mga6
+ Revision: 1015413
- prevent commented out macros to break build
- use std build macros

* Fri Feb 19 2016 umeabot <umeabot> 0.20030725-11.mga6
+ Revision: 969584
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 shlomif <shlomif> 0.20030725-10.mga6
+ Revision: 872378
- Missing req

* Wed Oct 15 2014 umeabot <umeabot> 0.20030725-9.mga5
+ Revision: 743665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20030725-8.mga5
+ Revision: 685416
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20030725-7.mga4
+ Revision: 512930
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20030725-6.mga3
+ Revision: 369773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.20030725-5.mga1
+ Revision: 22630
- cleaning spec file
- imported package perl-Module-CPANTS


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.20030725-5mdv2010.0
+ Revision: 430506
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.20030725-4mdv2009.0
+ Revision: 257853
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.20030725-3mdv2009.0
+ Revision: 245886
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.20030725-1mdv2008.1
+ Revision: 123036
- kill re-definition of %%buildroot on Pixel's request


* Sat Nov 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20030725-1mdv2007.0
+ Revision: 87239
- Import perl-Module-CPANTS

* Sat Nov 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20030725-1mdv2007.1
- first mdv release

